org.apache.commons.math3.distribution

## Interface IntegerDistribution

- All Known Implementing Classes:
    AbstractIntegerDistribution, BinomialDistribution, HypergeometricDistribution, PascalDistribution, PoissonDistribution, UniformIntegerDistribution, ZipfDistribution

      public interface IntegerDistribution

  Interface for distributions on the integers.
  Version:
    $Id: IntegerDistribution.java 1244107 2012-02-14 16:17:55Z erans $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `cumulativeProbability(int x)` For a random variable `X` whose values are distributed according to this distribution, this method returns `P(X <= x)`.
    `double` | `cumulativeProbability(int x0, int x1)` For a random variable `X` whose values are distributed according to this distribution, this method returns `P(x0 < X <= x1)`.
    `double` | `getNumericalMean()` Use this method to get the numerical value of the mean of this distribution.
    `double` | `getNumericalVariance()` Use this method to get the numerical value of the variance of this distribution.
    `int` | `getSupportLowerBound()` Access the lower bound of the support.
    `int` | `getSupportUpperBound()` Access the upper bound of the support.
    `int` | `inverseCumulativeProbability(double p)` Computes the quantile function of this distribution.
    `boolean` | `isSupportConnected()` Use this method to get information about whether the support is connected, i.e.
    `double` | `probability(int x)` For a random variable `X` whose values are distributed according to this distribution, this method returns `P(X = x)`.
    `void` | `reseedRandomGenerator(long seed)` Reseed the random generator used to generate samples.
    `int` | `sample()` Generate a random value sampled from this distribution.
    `int[]` | `sample(int sampleSize)` Generate a random sample from the distribution.

- - ### Method Detail

    - #### probability

          double probability(int x)

      For a random variable `X` whose values are distributed according to this distribution, this method returns `P(X = x)`. In other words, this method represents the probability mass function (PMF) for the distribution.
      Parameters:
        `x` - the point at which the PMF is evaluated
      Returns:
        the value of the probability mass function at `x`

    - #### cumulativeProbability

          double cumulativeProbability(int x)

      For a random variable `X` whose values are distributed according to this distribution, this method returns `P(X <= x)`. In other words, this method represents the (cumulative) distribution function (CDF) for this distribution.
      Parameters:
        `x` - the point at which the CDF is evaluated
      Returns:
        the probability that a random variable with this distribution takes a value less than or equal to `x`

    - #### cumulativeProbability

          double cumulativeProbability(int x0,
                                     int x1)
                                       throws NumberIsTooLargeException

      For a random variable `X` whose values are distributed according to this distribution, this method returns `P(x0 < X <= x1)`.
      Parameters:
        `x0` - the exclusive lower bound
        `x1` - the inclusive upper bound
      Returns:
        the probability that a random variable with this distribution will take a value between `x0` and `x1`, excluding the lower and including the upper endpoint
      Throws:
        `NumberIsTooLargeException` - if `x0 > x1`

    - #### inverseCumulativeProbability

          int inverseCumulativeProbability(double p)
                                           throws OutOfRangeException

      Computes the quantile function of this distribution. For a random variable `X` distributed according to this distribution, the returned value is
      - `inf{x in Z | P(X<=x) >= p}` for `0 < p <= 1`,
      - `inf{x in Z | P(X<=x) > 0}` for `p = 0`.
      If the result exceeds the range of the data type `int`, then `Integer.MIN_VALUE` or `Integer.MAX_VALUE` is returned.
      Parameters:
        `p` - the cumulative probability
      Returns:
        the smallest `p`-quantile of this distribution (largest 0-quantile for `p = 0`)
      Throws:
        `OutOfRangeException` - if `p < 0` or `p > 1`

    - #### getNumericalMean

          double getNumericalMean()

      Use this method to get the numerical value of the mean of this distribution.
      Returns:
        the mean or `Double.NaN` if it is not defined

    - #### getNumericalVariance

          double getNumericalVariance()

      Use this method to get the numerical value of the variance of this distribution.
      Returns:
        the variance (possibly `Double.POSITIVE_INFINITY` or `Double.NaN` if it is not defined)

    - #### getSupportLowerBound

          int getSupportLowerBound()

      Access the lower bound of the support. This method must return the same value as `inverseCumulativeProbability(0)`. In other words, this method must return

      `inf {x in Z | P(X <= x) > 0}`.

      Returns:
        lower bound of the support (`Integer.MIN_VALUE` for negative infinity)

    - #### getSupportUpperBound

          int getSupportUpperBound()

      Access the upper bound of the support. This method must return the same value as `inverseCumulativeProbability(1)`. In other words, this method must return

      `inf {x in R | P(X <= x) = 1}`.

      Returns:
        upper bound of the support (`Integer.MAX_VALUE` for positive infinity)

    - #### isSupportConnected

          boolean isSupportConnected()

      Use this method to get information about whether the support is connected, i.e. whether all integers between the lower and upper bound of the support are included in the support.
      Returns:
        whether the support is connected or not

    - #### reseedRandomGenerator

          void reseedRandomGenerator(long seed)

      Reseed the random generator used to generate samples.
      Parameters:
        `seed` - the new seed
      Since:
        3.0

    - #### sample

          int sample()

      Generate a random value sampled from this distribution.
      Returns:
        a random value
      Since:
        3.0

    - #### sample

          int[] sample(int sampleSize)

      Generate a random sample from the distribution.
      Parameters:
        `sampleSize` - the number of random values to generate
      Returns:
        an array representing the random sample
      Throws:
        `NotStrictlyPositiveException` - if `sampleSize` is not positive
      Since:
        3.0

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.